Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.teleal.cling.model.types
Enum DLNADoc.Version

    java.lang.Object
      java.lang.Enum<DLNADoc.Version>
          org.teleal.cling.model.types.DLNADoc.Version

All Implemented Interfaces:
  Serializable, Comparable<DLNADoc.Version>

Enclosing class:
  DLNADoc

    public static enum DLNADoc.Version

extends Enum<DLNADoc.Version>

Enum Constant Summary
`V1_0`
`V1_5`

Method Summary
`String` | `toString()`
`static DLNADoc.Version` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DLNADoc.Version[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### V1_0

    public static final DLNADoc.Version V1_0

### V1_5

    public static final DLNADoc.Version V1_5

Method Detail

### values

    public static DLNADoc.Version[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (DLNADoc.Version c : DLNADoc.Version.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static DLNADoc.Version valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<DLNADoc.Version>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.